Jump to content

Welcome to AppCake Forum
Register now to gain access to all of our features. Once registered and logged in, you will be able to create topics, post replies to existing threads, give reputation to your fellow members, get your own private messenger, post status updates, manage your profile and so much more. If you already have an account, login here - otherwise create an account for free today!
Photo

Upgrading Device with Futurerestore


  • You cannot start a new topic
  • Please log in to reply
19 replies to this topic

#1
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 14,715 posts
    • Time Online: 293d 18h 27m 18s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12
I have successfully upgraded my iPadMini2 (iPad4,4)
It was on 9.3.3 with Pangu JB
I originally wanted to update the device to 11.1.2 but my blobs were corrupt.
It took a while but I found my blobs for 11.1.1
Since the iOS 11.x JB is supposed to work with 11.1.1 I decided to update my device.
At first it was a trial and error game as I never used Futurerestore before.
At the end everything went well.

So if you require help to update your device in waiting for the new JB i can try and help.

Information required:
Device
iOS currently on
What JB

you must have you blobs for the iOS you want to update to.

I did this on a MAC and can not guarantee any info for Windows
  • telefonbuch and MRWTF like this

#2
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 14,715 posts
    • Time Online: 293d 18h 27m 18s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12
iPhone6 from 9.3.2 to 11.1.2
 

Pangu 9.3.2 iphone 6


@Ghay

I AM NOT RESPONSIBLE FOR ANY MISTAKES YOU MAY MAKE, AT YOUR OWN RISK

Make sure these are installed on your Mac
this can be done with Homebrew https://brew.sh/

libzip
libcurl
openssl (or CommonCrypto on OSX)
libplist

you require:
futurerestore updated fixed for iOS 11 https://github.com/e...store_macos.zip
kernel tools https://github.com/S...phoneos-arm.deb
IPSW for your device from iOS 11.1.2
shsh2 blobs for your device for 11.1.2
in the blobs file you will need the "generator" number...it starts with 0x
ReIboot to take your device out of recovery in case https://www.tenorsha...ts/reiboot.html

make a directory on your mac and you will need the following files:
futurerestore_macos
reiboot
IPSW for your device from 11.1.2
shsh2 blob file from iOS 11.1.2 for your device and rename it to blob.shsh2


install the DEB file on your device and respring
plug phone to mac via usb cable, make usre iTunes is not set to autostart
go into terminal on device and type su and your password
nvpatch com.apple.System.boot-nonce
nvram com.apple.System.boot-nonce=yourgeneratorherefromblobfile
nvram auto-boot=false
nvram -p (make sure generator number is listed properly)
reboot (this will place device in recovery mode)

now on your mac open terminal, goto folder with your files and type
./futurerestore_macos -t blob.shsh2 --latest-baseband --latest-sep iPhone_4.7_11.1.2_15B202_Restore.ipsw

if all goes well your device will update
if it fails, your device will be in recovery mode so just run ReIboot and hit Exit Recovery and the device will reboot to normal
if it fails post log for more help as some manual files may be required and cmdline change

#3
Ghay

Ghay

    .

  • IC Uploader
  • 21,936 posts
    • Time Online: 106d 13h 39m 20s
  • iDevices Owned:iPhone 6, iPhone 6+, iPhone 7, iPhone 7+, iPad Air, iPad Air 2, Apple Watch, iHave a PC

Pity not a Windows one as very useful to members

 

 

Thanks



#4
zachary

zachary

    IC L.E.G.E.N.D

  • IC Uploader
  • 12,658 posts
    • Time Online: 78d 20h 51m 58s
  • Twitter:https://twitter.com/Zachary_cracks
  • LocationEU
  • iDevices Owned:iPhone 6, iPhone 7, iPad Mini, iHave a PC
  • Donations:Use Itunes Gift cards

too bad i dont have my bloobs for IOS 11 saved, my ipad mini 3 is olso on 9.3.3 Pangu....

Saved them now for 11.2 versions...



#5
zachary

zachary

    IC L.E.G.E.N.D

  • IC Uploader
  • 12,658 posts
    • Time Online: 78d 20h 51m 58s
  • Twitter:https://twitter.com/Zachary_cracks
  • LocationEU
  • iDevices Owned:iPhone 6, iPhone 7, iPad Mini, iHave a PC
  • Donations:Use Itunes Gift cards

User_hidden... what do you think will be able to Restore 11.1.1 to same version if device bricks over JB ? i saved all Bloobs up to 10X versions up to 11.2.1 ( Iphone 6S ) 



#6
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 14,715 posts
    • Time Online: 293d 18h 27m 18s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

Pity not a Windows one as very useful to members
 
 Thanks


experimental version for windows
https://github.com/e...161_windows.zip

#7
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 14,715 posts
    • Time Online: 293d 18h 27m 18s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

User_hidden... what do you think will be able to Restore 11.1.1 to same version if device bricks over JB ? i saved all Bloobs up to 10X versions up to 11.2.1 ( Iphone 6S )


if device bricks i think you'd have to goto 11.2 or 11.2.1 as of now.
the futurerestore method won't work as you won't be able to set the nonce that matches the blob for downgrade.

#8
zachary

zachary

    IC L.E.G.E.N.D

  • IC Uploader
  • 12,658 posts
    • Time Online: 78d 20h 51m 58s
  • Twitter:https://twitter.com/Zachary_cracks
  • LocationEU
  • iDevices Owned:iPhone 6, iPhone 7, iPad Mini, iHave a PC
  • Donations:Use Itunes Gift cards

but could try to go to IOS 10X version then ? and from 10.3 jump to IOS 11.1.1 with bloobs ... that could work.. but hope no need for that 



#9
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 14,715 posts
    • Time Online: 293d 18h 27m 18s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

but could try to go to IOS 10X version then ? and from 10.3 jump to IOS 11.1.1 with bloobs ... that could work.. but hope no need for that


10.3.3 downgrade only for some A7 devices (iPhone5s,iPadMini2)
upgrade to 11.1.x will probably be closed soon!

#10
Sacmunraga

Sacmunraga

    Pro Caker

  • IC Member
  • 293 posts
    • Time Online: 6d 4h 18m 33s
  • iDevices Owned:iPad Mini with Retina, iMac, iHave a PC

The signing window for 11.1.x already closed a long time ago. If you have or had blobs saved, then you could upgrade. I had my blobs saved and successfully went from ios 10.2 JB to 11.1.2. As long as you have blobs then you can upgrade.



#11
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 14,715 posts
    • Time Online: 293d 18h 27m 18s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

The signing window for 11.1.x already closed a long time ago. If you have or had blobs saved, then you could upgrade. I had my blobs saved and successfully went from ios 10.2 JB to 11.1.2. As long as you have blobs then you can upgrade.


incorrect.
you can do it now as the SEP from 11.2 and 11.2.1 are compatible with 11.1.1 and 11.1.2
IF when 11.2.x or 11.3 comes as long as the SEP is compatible you still can but if not.....window closed.

#12
Sacmunraga

Sacmunraga

    Pro Caker

  • IC Member
  • 293 posts
    • Time Online: 6d 4h 18m 33s
  • iDevices Owned:iPad Mini with Retina, iMac, iHave a PC

11.2 Sep is actually incompatible apparently, according to a thread I saw. But my point is that when I did my restore, I did the --latest-sep option, and everything works perfectly, and the latest sep must be something different because 11.2 was already released.



#13
telefonbuch

telefonbuch

    IC L.E.G.E.N.D

  • IC Uploader
  • 47,193 posts
    • Time Online: 29d 9h 15m 8s
  • iDevices Owned:iPhone 6+, iPad Pro Mini, iHave a PC

It is possible to downgrade 11.1.2 up to 10.3.3 with my blobs on my IPadPro 9.7? Has somebody tested it?



#14
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 14,715 posts
    • Time Online: 293d 18h 27m 18s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

It is possible to downgrade 11.1.2 up to 10.3.3 with my blobs on my IPadPro 9.7? Has somebody tested it?


not possible at present...
  • telefonbuch likes this

#15
Sacmunraga

Sacmunraga

    Pro Caker

  • IC Member
  • 293 posts
    • Time Online: 6d 4h 18m 33s
  • iDevices Owned:iPad Mini with Retina, iMac, iHave a PC

@telefonbunch, Yes it is possible. Here is proof: https://www.reddit.c...112_to_ios_102/.

 

In this case the user downgraded from 11.1.2 to 10.2, but it should still be possible for 10.3.3 as well, just read the thread carefully and do what the user did.



#16
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 14,715 posts
    • Time Online: 293d 18h 27m 18s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12

@telefonbunch, Yes it is possible. Here is proof: https://www.reddit.c...112_to_ios_102/.
 
In this case the user downgraded from 11.1.2 to 10.2, but it should still be possible for 10.3.3 as well, just read the thread carefully and do what the user did.


as i stated before 10.3.3 downgrade ONLY for A7 devices like 5s and iPadMini2

#17
eduard816

eduard816

    Caker

  • IC Uploader
  • 61 posts
    • Time Online: 2d 6h 53m 50s
  • LocationAustralia

Hi, 

Can I share youtube links here? So that it will be easier for users to use futurerestore. I used futurerestore once, I have succesfully re-restore iOS 10.2 to iOS 10.2.

 

Here is the link, easy to use. Enjoy!

 

https://www.youtube....h?v=lXylulHsLYg



#18
eduard816

eduard816

    Caker

  • IC Uploader
  • 61 posts
    • Time Online: 2d 6h 53m 50s
  • LocationAustralia

It is possible to downgrade 11.1.2 up to 10.3.3 with my blobs on my IPadPro 9.7? Has somebody tested it?

I agree, It won't be possible due to the baseband requirements.

 

iOS 10.3.3 has a lower baseband version compared to iOS 11.1.2. Apple doesn't allow that.

 

@user_hidden.

If Apple stops signing iOS 11.2.1, then we can no longer use futurerestore to restore iOS 11.0.x - 11.1.x ...My question is, do you have an idea what next iOS version would be released? 11.2.3? or go to 11.3? and do you think will it still have the same baseband version as 11.0-11.1???



#19
user_hidden

user_hidden

    Forum Admin

  • Admin
  • 14,715 posts
    • Time Online: 293d 18h 27m 18s
  • iDevices Owned:iPod Classic, iPod Touch 4, iPhone 4, iPhone SE, iPhone 6, iPhone 8, iPad Mini, iPad Mini 2, iPad 1, iPad 2, iPad 5, MacBook Air, iHave a PC
  • Most used iOS:iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, iOS 11, iOS 12
@eduard816

only apple knows

#20
Yilia

Yilia

    Caker

  • IC Member
  • 46 posts
    • Time Online: 5h 32m 38s

If you are a Mac user the same as me who meet updating problem, you can get a Mac iPhone system recovery

For me, it's handy to deal with kinds of system issues on my iOS device, including iPhone won't update, iPhone stuck in verifying update, etc.

After repair the problem, it can meanwhile help us to update iOS to the latest version.

 

See more fix iOS software here